Create Product Video

Creates a *Product Video*. **Required Fields** * video_id **Read-Only Fields** * id Publicly accessible URLs are valid parameters. The Catalog API integrates with third-party YouTube, and you must load videos through YouTube. The [YouTube Terms of Service](https://www.youtube.com/t/terms) and [Google Privacy Policy](https://policies.google.com/privacy) apply, as indicated in our [Privacy Policy](https://www.bigcommerce.com/privacy/) and [Terms of Service](https://www.bigcommerce.com/terms/).

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired

Request

Common Product Video properties.
titlestringOptional0-255 characters
The title for the video. If left blank, this will be filled in according to data on a host site.
descriptionstringOptional
The description for the video. If left blank, this will be filled in according to data on a host site.
sort_orderintegerOptional-2147483648-2147483647

The order in which the video will be displayed on the product page. Higher integers give the video a lower priority. When updating, if the video is given a lower priority, all videos with a sort_order the same as or greater than the videoʼs new sort_order value will have their sort_orders reordered.

typeenumOptional

The video type (a short name of a host site).

Allowed values:
video_idstringOptional0-25 characters
The ID of the video on a host site.

Response

dataobject
A product video model.
metaobject
Response metadata.

Errors

404
Not Found Error